## opam 2.0.3

=== debian/changelog ===
opam (2.0.3-1) unstable; urgency=medium

  * New (bugfix) upstream release
  * Restrict dependency on bubblewrap on [linux-any] (Closes: #918345)
  * Update patches

 -- Mehdi Dogguy <mehdi@debian.org>  Fri, 01 Feb 2019 12:05:09 +0100

opam (2.0.1-1) unstable; urgency=medium

  * New upstream release
  * Remove patch integrated by upstream:
    - 0001-Configure-user-identity-in-the-test-Git-repository.patch
  * Do not try to build (and ship) dev-manual.pdf as it is not
    provided in upstream's tarball anymore
  * Add patch to fix spelling errors in manpages and binaries
    - 0002-Fix-spelling-error-in-manpage.patch
  * Update copyright file
  * Rename opam-docs package into opam-doc
  * Ship README.md and CHANGES files in opam-installer

 -- Mehdi Dogguy <mehdi@debian.org>  Sun, 02 Dec 2018 14:37:00 +0100
