=== debian/changelog ===
opam (2.0.5-1ubuntu1) focal; urgency=medium

  * Fix FTBFS with Dune 2.0. Patch adapted from upstream.

 -- William Grant <wgrant@ubuntu.com>  Mon, 13 Apr 2020 12:21:32 +1000

opam (2.0.5-1) unstable; urgency=medium

  * New upstream version 2.0.5
    + Forward-compatibility improvements (OCaml 4.08, Dune 1.7 and later, ...)
    + Numerous bugfixes
    + Patch typos
    + Fixup opam's version number in debian/rules
      Upstream's tarball has the wrong version number set.

  * Build OPAM with its internal solver; add dependency on ocaml-mccs.
  * Remove dependency on external CUDF solvers. (Closes: #908203, #907636)
  * Add basic autopkgtest (opam init && opam install some packages)
    This is sufficient to catch #907636

  * opam: Replace {pre,post}* scripts with a declarative maintscript
  * Switch to debhelper 12, remove the old-style debian/compat.
    This is because dh's compatibility level 12 hard-errors on maintscript issues.
    dh 12 is available in stretch-backports, buster, and later.

  * debian/control: Remove unnecessary dependencies
  * Update authorship information (dates, email, ...)
  * Declare compliance with policy 4.4.0
  * Override spurious Lintian warnings

 -- Nicolas Braud-Santoni <nicoo@debian.org>  Sat, 17 Aug 2019 17:37:02 +0200
