=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: opam
 Section: ocaml
 Priority: optional
-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders:
  Mehdi Dogguy <mehdi@debian.org>,
- Nicolas Braud-Santoni <nicolas@braud-santoni.eu>
+ Nicolas Braud-Santoni <nicoo@debian.org>
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (= 12),
  ocaml-nox (>= 4.3.0~),
  ocamlbuild,
  cppo (>= 1.6.0),
@@ -18,15 +19,9 @@
  libre-ocaml-dev (>= 1.7.2~),
  libcmdliner-ocaml-dev (>= 1.0.2~),
  libextlib-ocaml-dev,
+ libmccs-ocaml-dev,
  libocamlgraph-ocaml-dev (>= 1.8),
  libopam-file-format-ocaml-dev,
- libjsonm-ocaml-dev,
- libopam-file-format-ocaml-dev,
- aspcud,
- rsync,
- unzip,
- openssl,
- git,
  curl
 Build-Depends-Indep:
  texlive-latex-base,
@@ -36,11 +31,12 @@
  texlive-fonts-recommended,
  pandoc,
  latex-make
-Standards-Version: 4.2.1
+Standards-Version: 4.4.0
 Rules-Requires-Root: no
 Homepage: https://opam.ocaml.org
 Vcs-Git: https://salsa.debian.org/ocaml-team/opam.git
 Vcs-Browser: https://salsa.debian.org/ocaml-team/opam
+Testsuite: autopkgtest
 
 Package: opam
 Architecture: any
@@ -50,7 +46,6 @@
  ${misc:Depends},
  opam-doc (= ${source:Version}),
  build-essential,
- aspcud | mccs | packup,
  opam-installer,
  bubblewrap [linux-any],
  unzip,
