=== debian/tests/control ===
Tests: 4.08.1
Depends: @
Restrictions: isolation-container
# Container (or greater) isolation seems required for bwrap to work correctly
