## opam 2.0.8

=== debian/changelog ===
opam (2.0.8-1) unstable; urgency=medium

  * New (bugfix) upstream release
  * Add patch 0004-Use-HOME-env-variable-instead-of.patch to use env
    variable HOME instead of relying on ~
  * Add patch 0005-Port-to-Dose3-6.0.1.patch so that opam builds with
    Dose3 6.0.1
  * Bump build dependency on libdose3-ocaml-dev to >= 6.0.1~

 -- Mehdi Dogguy <mehdi@debian.org>  Sun, 28 Feb 2021 20:00:48 +0100

opam (2.0.7-3) unstable; urgency=medium

  [ Helmut Grohne ]
  * Mark opam-doc Multi-Arch: foreign (Closes: #940323)

  [ Mehdi Dogguy ]
  * Set a fixed and fake HOME directory so that it doesn't change
    in generated documentation

 -- Mehdi Dogguy <mehdi@debian.org>  Mon, 01 Feb 2021 22:09:37 +0100

opam (2.0.7-2) unstable; urgency=medium

  * Move documentation files back in opam-installer and update needed
    Breaks/Replaces in opam-installer's stanza (Closes: #980309)

 -- Mehdi Dogguy <mehdi@debian.org>  Sun, 17 Jan 2021 21:21:31 +0100

opam (2.0.7-1) unstable; urgency=medium

  * New minor upstream release (Closes: #975853)
  * Bump Build-Depend on libopam-file-format-ocaml-dev to (>= 2.1.2-2~)
  * Update opam{,-installer}.install files following changes made upstream

 -- Mehdi Dogguy <mehdi@debian.org>  Sun, 17 Jan 2021 11:00:31 +0100
