=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: opam
 Section: ocaml
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders:
  Mehdi Dogguy <mehdi@debian.org>,
  Nicolas Braud-Santoni <nicoo@debian.org>
@@ -15,13 +14,13 @@
  dh-ocaml (>= 0.9),
  dune,
  libcudf-ocaml-dev,
- libdose3-ocaml-dev (>= 4.0.1-2~),
+ libdose3-ocaml-dev (>= 6.0.1~),
  libre-ocaml-dev (>= 1.7.2~),
  libcmdliner-ocaml-dev (>= 1.0.2~),
  libextlib-ocaml-dev,
  libmccs-ocaml-dev,
  libocamlgraph-ocaml-dev (>= 1.8),
- libopam-file-format-ocaml-dev,
+ libopam-file-format-ocaml-dev (>= 2.1.2-2~),
  curl
 Build-Depends-Indep:
  texlive-latex-base,
@@ -56,7 +55,8 @@
  darcs,
  mercurial,
  m4,
- rsync
+ rsync,
+ ca-certificates
 Description: package manager for OCaml
  OPAM stands for OCaml PAckage Manager. It aims to suit to a vast number
  of users and use cases, and has unique features:
@@ -80,6 +80,7 @@
 
 Package: opam-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends:
  ${ocaml:Depends},
@@ -112,9 +113,9 @@
 
 Package: opam-installer
 Architecture: any
-Breaks: opam (<< 2.0.0-1),
+Breaks: opam (<< 2.0.7-2),
         opam-docs (<< 2.0.0-1)
-Replaces: opam (<< 2.0.0-1),
+Replaces: opam (<< 2.0.7-2),
           opam-docs (<< 2.0.0-1)
 Depends:
  ${ocaml:Depends},
