=== debian/rules ===
--- 
+++ 
@@ -27,10 +27,10 @@
 # do nothing
 
 build-arch: .configure_stamp
-	$(MAKE)
+	HOME=/home/user $(MAKE)
 
 build-indep: .configure_stamp
-	$(MAKE) man
+	$(MAKE) man-html
 
 .PHONY: override_dh_auto_test
 override_dh_auto_test:
