=== release/Makefile ===
--- 
+++ 
@@ -8,11 +8,11 @@
 TARGETS = x86_64-linux i686-linux armhf-linux arm64-linux
 # todo: x86_64-darwin
 
-OCAMLV = 4.04.2
+OCAMLV = 4.10.2
 # currently hardcoded in Dockerfile.in
 OCAML_URL = https://caml.inria.fr/pub/distrib/ocaml-$(basename $(OCAMLV))/ocaml-$(OCAMLV).tar.gz
 
-HOST_OS = $(shell uname -s | tr A-Z a-z)
+HOST_OS = $(shell uname -s | tr A-Z a-z | sed 's/darwin/macos/')
 HOST = $(shell uname -m | sed 's/amd64/x86_64/')-$(HOST_OS)
 
 all: $(patsubst %,out/opam-$(VERSION)-%,$(TARGETS))
@@ -21,7 +21,7 @@
 	mkdir -p out
 	cd out && curl -OfL $(FULL_ARCHIVE_URL) || { \
 	  git clone $(GIT_URL) -b $(TAG) --depth 1 opam-full-$(VERSION); \
-	  sed 's/^AC_INIT(opam,.*)/AC_INIT(opam,$(OPAM_VERSION))/' > \
+	  sed 's/^AC_INIT(opam,.*)/AC_INIT(opam,$(OPAM_VERSION))/' opam-full-$(VERSION)/configure.ac > \
 	    opam-full-$(VERSION)/configure.ac.tmp; \
 	  mv opam-full-$(VERSION)/configure.ac.tmp \
 	    opam-full-$(VERSION)/configure.ac; \
@@ -37,7 +37,7 @@
 build/Dockerfile.armhf-linux: Dockerfile.in
 	mkdir -p build && sed 's/%TARGET_TAG%/armhf-jessie/g' $^ | sed 's/%CONF%//g' >$@
 build/Dockerfile.arm64-linux: Dockerfile.in
-	mkdir -p build && sed 's/%TARGET_TAG%/arm64-jessie/g' $^ | sed 's/%CONF%//g' >$@
+	mkdir -p build && sed 's/%TARGET_TAG%/arm64-stretch/g' $^ | sed 's/%CONF%//g' >$@
 
 
 build/%.image: build/Dockerfile.%
@@ -47,16 +47,16 @@
 # Actually, this is for debian 8 jessie, and varies wildly
 CLINKING_linux = \
 -Wl,-Bstatic \
--lunix -lbigarray -lmccs_stubs -lmccs_glpk_stubs \
+-lunix -lmccs_stubs -lmccs_glpk_stubs \
 -lstdc++ \
 -Wl,-Bdynamic \
 -static-libgcc
 
-CLINKING_darwin = \
--lunix -lbigarray -lmccs_stubs -lmccs_glpk_stubs \
+CLINKING_macos = \
+-lunix -lmccs_stubs -lmccs_glpk_stubs \
 -lstdc++
 
-CLINKING_openbsd = $(CLINKING_darwin)
+CLINKING_openbsd = $(CLINKING_macos)
 
 LINKING = (-noautolink $(patsubst %,-cclib %,$(CLINKING_$(1))))
