## opam 2.1.5

=== Makefile ===
--- 
+++ 
@@ -183,7 +183,9 @@
 	echo "###     TESTS RESULT SUMMARY     ###"; \
 	for t in _build/default/tests/reftests/*.test; do \
 	  printf "%-30s" $$(basename $$t .test); \
-	  if diff -q --strip-trailing-cr $$t $${t%.test}.out >/dev/null; \
+	  if [ ! -e $${t%.test}.out ]; \
+	  then printf '\033[33m[SKIP]\033[m\n'; \
+	  elif diff -q --strip-trailing-cr $$t $${t%.test}.out >/dev/null; \
 	  then printf '\033[32m[ OK ]\033[m\n'; \
 	  else printf '\033[31m[FAIL]\033[m\n'; \
 	  fi; \
@@ -225,7 +227,11 @@
 	$(DUNE) build $(DUNE_ARGS) $(DUNE_PROFILE_ARG) --root . @reftest-$* --force
 
 reftests-meld:
-	meld `for t in tests/reftests/*.test; do echo --diff $$t _build/default/$${t%.test}.out; done`
+	meld `for t in tests/reftests/*.test; do \
+	  out=_build/default/$${t%.test}.out; \
+	  if test -f $$out && ! diff -q $$t $$out 2> /dev/null > /dev/null; then \
+	    echo --diff $$t $$out; \
+	  fi; done`
 
 .PHONY: doc
 doc: all
@@ -252,10 +258,10 @@
 
 .PHONY: compiler cold
 compiler:
-	env MAKE=$(MAKE) BOOTSTRAP_EXTRA_OPTS= BOOTSTRAP_OPT_TARGET=opt.opt BOOTSTRAP_ROOT=.. BOOTSTRAP_DIR=bootstrap ./shell/bootstrap-ocaml.sh $(OCAML_PORT)
+	env MAKE=$(MAKE) BOOTSTRAP_EXTRA_OPTS= BOOTSTRAP_TARGETS=world.opt BOOTSTRAP_ROOT=.. BOOTSTRAP_DIR=bootstrap ./shell/bootstrap-ocaml.sh $(OCAML_PORT)
 
 src_ext/secondary/ocaml/bin/ocaml:
-	env MAKE=$(MAKE) BOOTSTRAP_EXTRA_OPTS="--disable-ocamldoc --disable-debug-runtime --disable-debugger" BOOTSTRAP_OPT_TARGET=opt BOOTSTRAP_ROOT=../.. BOOTSTRAP_DIR=src_ext/secondary ./shell/bootstrap-ocaml.sh $(OCAML_PORT)
+	env MAKE=$(MAKE) BOOTSTRAP_EXTRA_OPTS="--disable-ocamldoc --disable-debug-runtime --disable-debugger" BOOTSTRAP_TARGETS="world opt" BOOTSTRAP_ROOT=../.. BOOTSTRAP_DIR=src_ext/secondary ./shell/bootstrap-ocaml.sh $(OCAML_PORT)
 
 cold: compiler
 	env PATH="`pwd`/bootstrap/ocaml/bin:$$PATH" CAML_LD_LIBRARY_PATH= ./configure --enable-cold-check $(CONFIGURE_ARGS)
@@ -267,4 +273,4 @@
 
 .PHONY: run-appveyor-test
 run-appveyor-test:
-	env PATH="`pwd`/bootstrap/ocaml/bin:$$PATH" ./appveyor_test.sh
+	env -u OCAMLLIB -u CAML_LD_LIBRARY_PATH PATH="`pwd`/bootstrap/ocaml/bin:$$PATH" ./appveyor_test.sh
