=== debian/changelog ===
opam (2.1.5-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Bump Standards-Version to 4.6.2
  * Fix debian/watch

 -- Stéphane Glondu <glondu@debian.org>  Sat, 02 Sep 2023 07:35:29 +0200
