=== debian/control ===
--- 
+++ 
@@ -30,12 +30,11 @@
  texlive-fonts-recommended <!nodoc>,
  man2html-base <!nodoc>,
  latex-make <!nodoc>
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://opam.ocaml.org
 Vcs-Git: https://salsa.debian.org/ocaml-team/opam.git
 Vcs-Browser: https://salsa.debian.org/ocaml-team/opam
-Testsuite: autopkgtest
 
 Package: opam
 Architecture: any
