## opam 2.1.6

=== debian/changelog ===
opam (2.1.6-1) unstable; urgency=medium

  [ Bo YU ]
  * Team upload.
  * Add 0003-opam-dune-3.11.patch to fix ftbfs issue. (Closes: #1054822)
  * New upstream version 2.1.6
  * Rebase debian/patches
  * Set std-ver to 4.7.0

  [ Gianfranco Costamagna ]
  * Try to fix appveyor bits
  * Add appveyor_build.cmd to debian/clean

 -- Bo YU <tsu.yubo@gmail.com>  Sat, 01 Jun 2024 15:32:52 +0800
