=== debian/control ===
--- 
+++ 
@@ -30,7 +30,7 @@
  texlive-fonts-recommended <!nodoc>,
  man2html-base <!nodoc>,
  latex-make <!nodoc>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://opam.ocaml.org
 Vcs-Git: https://salsa.debian.org/ocaml-team/opam.git
