## opam 2.2.1

=== debian/changelog ===
opam (2.2.1-1) unstable; urgency=medium

  * New upstream release
  * Add myself to Uploaders

 -- Stéphane Glondu <glondu@debian.org>  Sun, 25 Aug 2024 06:50:32 +0200

opam (2.2.0-4) unstable; urgency=medium

  * Test 4.14.1 switch in autopkgtest

 -- Stéphane Glondu <glondu@debian.org>  Thu, 22 Aug 2024 05:36:44 +0200

opam (2.2.0-3) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Team upload

  [ Kate Deplaix ]
  * Fix autopkgtest

 -- Stéphane Glondu <glondu@debian.org>  Wed, 21 Aug 2024 20:40:08 +0200

opam (2.2.0-2) unstable; urgency=medium

  * Fix autopkgtest

 -- Stéphane Glondu <glondu@debian.org>  Wed, 21 Aug 2024 09:25:30 +0200

opam (2.2.0-1) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Team upload
  * New upstream release

  [ Kate Deplaix ]
  * Remove 0001-Add-a-test-target.patch as it was ported upstream in
    https://github.com/ocaml/opam/pull/5129
  * Remove 0003-opam-dune-3.11.patch as it was ported upstream in
    https://github.com/ocaml/opam/pull/5870
  * Remove 0002-Use-HOME-env-variable-instead-of.patch as the patch
    does not do anything as mentioned in
    https://github.com/ocaml/opam/issues/5058
  * Remove long unused dependencies

 -- Stéphane Glondu <glondu@debian.org>  Tue, 20 Aug 2024 21:34:28 +0200
